# Generated from logstash-input-imapraw-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logstash-input-imapraw

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Summary: Reads mail from an IMAP server and publishes the raw body as well as the decoded body
License: Apache License (2.0)
URL: http://github.com/dustin-hawkins/logstash-input-imapraw
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(logstash-devutils)
# BuildRequires: rubygem(insist)
BuildArch: noarch

%description
This is a fork with added functionality - This gem is a Logstash plugin
required to be installed on top of the Logstash core pipeline using
$LS_HOME/bin/logstash-plugin install gemname. This gem is not a stand-alone
program.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NOTICE.TXT
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTORS
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docs
%{gem_instdir}/logstash-input-imapraw.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.5-1
- Initial package
